Bug 620966 - [abrt] crash in calibre-0.6.55-1.fc13: urlparse.py:147:urlsplit:AttributeError: 'NoneType' object has no attribute 'find'
[abrt] crash in calibre-0.6.55-1.fc13: urlparse.py:147:urlsplit:AttributeErro...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:50e49e0a
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-03 17:12 EDT by Marius Rusu
Modified: 2010-08-06 06:26 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 19:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.52 KB, text/plain)
2010-08-03 17:12 EDT, Marius Rusu
no flags Details

  None (edit)
Description Marius Rusu 2010-08-03 17:12:55 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: python /usr/bin/calibre-parallel
comment: I tried to convert several books in .rtf and .html format, some of them I've converted them before, into .epub format without success. It did worked when calibre was installed under Fedora 12 but after upgrading to Fedora 13 I couldn't convert books anymore.
component: calibre
executable: /usr/bin/calibre-parallel
kernel: 2.6.33.6-147.fc13.i686.PAE
package: calibre-0.6.55-1.fc13
reason: urlparse.py:147:urlsplit:AttributeError: 'NoneType' object has no attribute 'find'
release: Fedora release 13 (Goddard)

backtrace
-----
urlparse.py:147:urlsplit:AttributeError: 'NoneType' object has no attribute 'find'

Traceback (most recent call last):
  File "/usr/bin/calibre-parallel", line 19, in <module>
    sys.exit(main())
  File "/usr/lib/calibre/calibre/utils/ipc/worker.py", line 98, in main
    result = func(*args, **kwargs)
  File "/usr/lib/calibre/calibre/gui2/convert/gui_conversion.py", line 24, in gui_convert
    plumber.run()
  File "/usr/lib/calibre/calibre/ebooks/conversion/plumber.py", line 919, in run
    self.opts, self.log)
  File "/usr/lib/calibre/calibre/ebooks/epub/output.py", line 160, in convert
    cm(self.oeb, self.opts, self.log)
  File "/usr/lib/calibre/calibre/ebooks/oeb/transforms/cover.py", line 85, in __call__
    self.insert_cover()
  File "/usr/lib/calibre/calibre/ebooks/oeb/transforms/cover.py", line 170, in insert_cover
    width, height = self.inspect_cover(href)
  File "/usr/lib/calibre/calibre/ebooks/oeb/transforms/cover.py", line 151, in inspect_cover
    if x.href == urlnormalize(href):
  File "/usr/lib/calibre/calibre/ebooks/oeb/base.py", line 322, in urlnormalize
    parts = urlparse(href)
  File "/usr/lib/python2.6/urlparse.py", line 108, in urlparse
    tuple = urlsplit(url, scheme, allow_fragments)
  File "/usr/lib/python2.6/urlparse.py", line 147, in urlsplit
    i = url.find(':')
AttributeError: 'NoneType' object has no attribute 'find'

Local variables in innermost frame:
fragment: ''
netloc: ''
allow_fragments: True
cached: None
url: None
key: (None, '', True, <type 'NoneType'>, <type 'str'>)
query: ''
scheme: ''

How to reproduce
-----
1.Add a book in any of the supported formats (rtf, html, ...)
2.Start conversion into .epub format.
3.
Comment 1 Marius Rusu 2010-08-03 17:12:57 EDT
Created attachment 436386 [details]
File: backtrace
Comment 2 Frank Murphy 2010-08-03 17:41:02 EDT
Please upgrade to the latest version  here:
http://repos.fedorapeople.org/repos/kevin/calibre/


There is a repo files there that can be dropped into /etc/yum.repos.d/

in teminal
su
cd /etc/yum.repos.d
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo

Let us know how it goes/
Comment 3 vlapan 2010-08-04 11:25:30 EDT
updated as adviced:

my sony prs-300 is still not showing as connected to calibre(:
this I am getting in log after exiting from calibre:

Aug  4 08:19:03 z0 python: abrt: detected unhandled Python exception in /usr/bin/calibre-parallel
Aug  4 08:19:03 z0 abrt[8751]: saved python crash dump of pid 8517 to /var/cache/abrt/pyhook-1280935143-8517.new
Aug  4 08:19:03 z0 abrtd: Directory 'pyhook-1280935143-8517' creation detected
Aug  4 08:19:03 z0 abrtd: Package 'calibre' isn't signed with proper key
Aug  4 08:19:03 z0 abrtd: Corrupted or bad crash /var/cache/abrt/pyhook-1280935143-8517 (res:5), deleting
Comment 4 Marius Rusu 2010-08-04 19:16:05 EDT
(In reply to comment #2)
> Please upgrade to the latest version  here:
> http://repos.fedorapeople.org/repos/kevin/calibre/
> 
> 
> There is a repo files there that can be dropped into /etc/yum.repos.d/
> 
> in teminal
> su
> cd /etc/yum.repos.d
> wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
> 
> Let us know how it goes/    

Thanks for all the help. I've updated Calibre using this repo file and everything is back to normal. :)
Comment 5 C.J.H. 2010-08-06 06:26:01 EDT
OS Release: Fedora release 13 (Goddard)
Architecture : x86_64

(In reply to comment #2)
> Please upgrade to the latest version  here:
.
.
.
> Let us know how it goes/    

I upgraded, like suggested, and the issues of calibre crashing on exit & being unable to convert book formats appear to be resolved.

Note You need to log in before you can comment on or make changes to this bug.